"""
  pyMusique - iTMS client

  Travis Watkins <alleykat@gmail.com>
  Cody Brocious <daeken@gmail.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

  (C) Copyright 2005 Travis Watkins, Cody Brocious
"""

ERROR = 1
INFO = 2
WARNING = 4
ALL = ERROR | INFO | WARNING

prevmsg = ''

debuggers = {
    'drm' : 'DeDRM',
    'store' : 'Store'
    }

def Debug(type, orig, emsg, overwrite=0, keep=0):
    global prevmsg

    if not (verbosity & type):
        return

    if not orig in debuggers:
        orig = 'Unknown'
    else:
        orig = debuggers[orig]

    if type == ERROR:
        msg = '! '
    elif type == INFO:
        msg = 'i '
    elif type == WARNING:
        msg = 'w '

    msg += orig + ': ' + emsg

    if overwrite and len(prevmsg) > 0:
        print '\x08' * (len(prevmsg) + 1) + msg
    else:
        print msg
    if keep:
        prevmsg = ''
    else:
        prevmsg = msg
